Get Event Matrix by Webhook ID

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API enables you to retrieve aggregated delivery metrics for event notifications sent to a specific webhook. By default, the API fetches the last 30 days of data.

Example request

curl --location 'https://eu.intouch.capillarytech.com/v3/events/consumer-groups/0c3ad68c-06e3-4947-85df-4df10e898eeb/metrics?startDate=1761393961170&endDate=1763985961170' \
--header 'Authorization: Basic zM0YTE2ODkxZjg0ZTdi'

Prerequisites

  • Authentication - Basic or OAuth authentication details
  • Access group resource - Read permission on webhook resource group
  • Consumer Group ID - The consumerGroupId from your webhook configuration

Resource information

Pagination supported?No
Batch supportNA

Path parameters

FieldTypeRequiredDescription
consumerGroupIdStringYesUnique identifier for the webhook. This ID is returned in the consumerGroupId field when you retrieve a webhook configuration details.

Query parameters

ParameterTypeDescription
startDateLongStart of the date range for metrics (Unix epoch in milliseconds). If not provided, returns metrics from the earliest available data. Example: 1761393961170
endDateLongEnd of the date range for metrics (Unix epoch in milliseconds). If not provided, returns metrics up to the current time.

Example response

{
    "data": {
        "totalEvents": 5148,
        "deliveredEvents": 5100,
        "failedEvents": 29,
        "retryingEvents": 0,
        "pendingEvents": 0,
        "startDate": 1753533250945,
        "endDate": 1756125250945
    },
    "errors": null,
    "warnings": null
}

Response parameters

ParameterDescription
dataContains the aggregated metrics for event delivery.
.totalEventsTotal number of events processed during the specified time period.
.deliveredEventsNumber of events successfully delivered to the webhook endpoint.
.failedEventsNumber of events that failed to deliver to the webhook endpoint.
.pendingEventsNumber of events currently pending delivery.
.averageDeliveryTimeAverage time taken to deliver events in milliseconds.
. retryingEventsNumber of events being retried to deliver to the webhook endpoint.
startDateStart of the date range for metrics (Unix epoch in milliseconds)
endDateEnd of the date range for metrics (Unix epoch in milliseconds)
errorsArray containing error details, if any. Returns null if no errors.
warningsArray containing warning messages, if any. Returns null if no warnings.

Error codes

CodeDescription
400Bad Request – The request is invalid, such as malformed parameters or missing required data.
401Unauthorized – The request is missing valid authentication credentials.
403Forbidden – The authenticated user does not have permission to access those metrics.
404Not Found – The consumer group does not exist or is not accessible.
500Internal Server Error – Catch-all for unhandled or backend errors, such as: Could not connect to the Event Router service, Network/connectivity issues, and Unexpected server-side fatal errors.
Path Params
string
required
Query Params
integer
integer
Responses

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json